# allCampaigns

Get back a list of NamiCampaigns that are available to the device.

Campaigns are updated upon app start. You may also manually request an update via [refresh](/sdk-reference/namicampaignmanager/refresh.md).

{% tabs %}
{% tab title="Swift" %}

```swift
NamiCampaignManager.allCampaigns()
```

{% endtab %}

{% tab title="Kotlin" %}

```kotlin
NamiCampaignManager.allCampaigns()
```

{% endtab %}

{% tab title="Flutter" %}

```dart
import 'package:nami_flutter/campaign/nami_campaign.dart';
import 'package:nami_flutter/campaign/nami_campaign_manager.dart';

List<NamiCampaign> _campaigns = [];

NamiCampaignManager.allCampaigns().then((list) {
  setState(() {
    _campaigns = list;
  });
});
```

{% endtab %}

{% tab title="React Native" %}

```tsx
import {NamiCampaignManager, NamiCampaign} from 'react-native-nami-sdk';

const allCampaigns = await NamiCampaignManager.allCampaigns();
```

{% endtab %}

{% tab title="Unity" %}

```csharp
using NamiSDK;

var campaigns = NamiCampaignManager.AllCampaigns();
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.namiml.com/sdk-reference/namicampaignmanager/allcampaigns.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
